Skip to main content
POST
/
v1
/
bridge
/
plaid
cURL
curl --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
  --url https://sandbox.straddle.com/v1/bridge/plaid \
  --header 'Content-Type: application/json' \
  --data '{
  "customer_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "plaid_token": "<string>"
}'
{
  "meta": {
    "api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_request_timestamp": "2023-11-07T05:31:56Z"
  },
  "response_type": "object",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "label": "<string>",
    "source": "bank_account",
    "status": "active",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "paykey": "<string>",
    "config": {
      "sandbox_outcome": "standard",
      "processing_method": "inline"
    },
    "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "institution_name": "Bank of America",
    "status_details": {
      "message": "Bank account sucesfully validated",
      "reason": "insufficient_funds",
      "source": "watchtower",
      "changed_at": "2023-11-07T05:31:56Z",
      "code": "<string>"
    },
    "expires_at": "2023-11-07T05:31:56Z",
    "bank_data": {
      "routing_number": "021000021",
      "account_number": "****1234",
      "account_type": "checking"
    },
    "metadata": {},
    "balance": {
      "status": "pending",
      "account_balance": 123,
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "external_id": "<string>",
    "unblock_eligible": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.straddle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.

Headers

Straddle-Account-Id
string<uuid>

For use by platforms to specify an account id and set scope of a request.

Request-Id
string

Optional client generated identifier to trace and debug a request.

Correlation-Id
string

Optional client generated identifier to trace and debug a series of requests.

Idempotency-Key
string

Optional client generated value to use for idempotent requests.

Required string length: 10 - 40

Body

customer_id
string<uuid>
required

Unique identifier of the related customer object.

plaid_token
string
required

Plaid processor token generated by your application for use with the Straddle API.

metadata
object

Up to 20 additional user-defined key-value pairs. Useful for storing additional information about the paykey in a structured format.

config
object
external_id
string | null

Unique identifier for the paykey in your database, used for cross-referencing between Straddle and your systems.

Response

Created

meta
object
required

Metadata about the API request, including an identifier and timestamp.

response_type
enum<string>
required

Indicates the structure of the returned content.

  • "object" means the data field contains a single JSON object.
  • "array" means the data field contains an array of objects.
  • "error" means the data field contains an error object with details of the issue.
  • "none" means no data is returned.
Available options:
object,
array,
error,
none
data
object
required